Bug 413701 - Evolution crash on disabling account
Evolution crash on disabling account
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 437758
  Show dependency treegraph
 
Reported: 2007-12-06 05:15 EST by Michal Babej
Modified: 2013-07-31 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.21.91-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 14:28:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (27.65 KB, text/plain)
2007-12-06 05:15 EST, Michal Babej
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 324168 None None None Never

  None (edit)
Description Michal Babej 2007-12-06 05:15:22 EST
Description of problem:
Evolution crashes on disabling account. I have 2 imap accounts, when i try to
disable the first one, evo crashes, disabling/enabling the other works.

Version-Release number of selected component (if applicable):
evolution-2.10.3-4.fc7
evolution-connector-2.10.3-1.fc7
evolution-data-server-1.10.3.1-2.fc7
evolution-webcal-2.10.0-1.fc7
evolution-data-server-1.10.3.1-2.fc7

How reproducible:
always

Steps to Reproduce:
1. Go to Edit menu -> Preferences -> Mail Accounts
2. click on "Enabled" for the first one

Additional info:
See bt. Maybe this line is the problem:

#10 0x00002aaaafafa2a7 in account_able_changed (account=0x6f8a50) at
em-account-prefs.c:310
        component = (MailComponent *) 0x0
Comment 1 Michal Babej 2007-12-06 05:15:22 EST
Created attachment 279531 [details]
gdb backtrace
Comment 2 Milan Crha 2008-02-11 14:28:28 EST
This has been fixed recently in upstream version and will be included in Fedora
9. Try in rawhide with 2.21.91.

Upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=324168

Note You need to log in before you can comment on or make changes to this bug.